| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::PendingMediaStreams Class Reference
[Channel proxies]

Class containing the result of an asynchronous media stream creation request. More...

`#include <TelepathyQt4/StreamedMediaChannel>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- ~PendingMediaStreams ()
- MediaStreams streams () const

## Detailed Description

Class containing the result of an asynchronous media stream creation request.

Instances of this class cannot be constructed directly; the only way to get one is via StreamedMediaChannel.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingMediaStreams::~PendingMediaStreams | ( |  | ) |

Class destructor.

## Member Function Documentation

MediaStreams Tp::PendingMediaStreams::streams | ( |  | ) | const

Return a list of the newly created MediaStreamPtr objects.

Returns:
  A list of the MediaStreamPtr objects pointing to the newly created MediaStream objects, or an empty list if an error occurred.